Skip to main content

Timeout Member

Catalog + Curated

This page is generated from the full broker catalog and enhanced with curated examples.

POSTdiscord.timeout_member

Apply a timed moderation timeout to a member.

Request Body

{
"jsonrpc": "2.0",
"id": "discord-timeout-member-example",
"method": "tools/call",
"params": {
"name": "discord.timeout_member",
"arguments": {
"user_id": "99887766",
"duration_minutes": 30,
"reason": "Spam links in support channel"
}
}
}

Arguments Schema

{
"type": "object",
"required": [
"user_id",
"duration_minutes"
],
"properties": {
"user_id": {
"type": "string"
},
"duration_minutes": {
"type": "number",
"minimum": 1,
"maximum": 40320
},
"reason": {
"type": "string"
}
},
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "discord-timeout-member-example",
"method": "tools/call",
"params": {
"name": "discord.timeout_member",
"arguments": {
"user_id": "99887766",
"duration_minutes": 30,
"reason": "Spam links in support channel"
}
}
}'

Example Responses

{
"ok": true,
"applied": true,
"duration_minutes": 30
}